Subject: Re: [Idr] RFC911 to Historic

From: "Susan Hares" <[email-masked]>
Date: Sat, 26 Mar 2022 09:39:43 -0400

Greg: 

I serve as both an IDR chair and a member of the Independent Streams Editor board.    As part of the ISE editor board, this question is resurfacing to me.   So in that role, can you tell me a little bit about why you requested RFC911 being placed in historic status?  RFC904 is the protocol specification.  RFC911 is an implementation report on RFC904.    

What is the need driving this request?   

Sue 

From: Greg Skinner [mailto:[email-masked]] 
Sent: Saturday, January 29, 2022 1:19 AM
To: Susan Hares
Cc: Alvaro Retana; [email-masked]; [email-masked]
Subject: Re: [Idr] RFC911 to Historic

How would all of you feel about bundling this request along with other related requests and/or actions to change the status of RFCs, as was discussed at IETF 30 <https://www.ietf.org/ietf-ftp/ietf-online-proceedings/94jul/area.and.wg.reports/rtg/idr/idr-minutes-94jul.txt> ?  Could this also be done in conjunction with an IDR working group milestone such as progressing RFC4271 as an Internet Standard?  Based on what has been discussed on the Last Call for this request so far, bundling status changes in conjunction with significant working group tasks seems to be more acceptable.

Greg

On Jan 25, 2022, at 9:26 AM, Susan Hares <[email-masked]> wrote:

Alvaro: 

This is a detail that IDR should have  taken care of years ago. 

Sue 

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Alvaro Retana
Sent: Wednesday, January 12, 2022 10:30 AM
To: [email-masked]
Cc: [email-masked]; Greg Skinner
Subject: [Idr] RFC911 to Historic

Dear idr WG:

Greg Skinner (cc'd) approached us with the suggestion to reclassify
rfc911 as Historic.  Here's the justification:

=====
  RFC 911 [RFC911] describes an implementation of the Exterior Gateway
  Protocol (EGP) [RFC904] for 4.2 BSD Unix.  It also provides examples of
  its use at the time of its publication.  RFC 904 is currently classified
  as Historic. Experience gained with EGP led to the development of the
  Border Gateway Protocol (BGP) [RFC1105], and eventually to the current
  BGP version 4 [RFC4271].  Also, the example network topologies given in
  RFC 911 include IPv4 networks such as “ARPANET 10”, which is now part of
  private address space [RFC1918], and “UCI-ICS”, which has been reassigned
  to the Ford Motor Company.
=====

The process to reclassify requires an IETF Last Call and balloting by the IESG.

idr is not explicitly chartered with anything related to EGP, but I
figured it is the closest we have. :-)

Does anyone have comments about this action?  I plan to start the IETF
Last Call on Jan/20 -- you can comment then too.

Thanks!

Alvaro.

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Greg Skinner <[email-masked]>
Date: Sat, 26 Mar 2022 10:08:14 -0700

Sue,

If you take a look at the November 2021 archives of the internet-history list <https://elists.isoc.org/pipermail/internet-history/2021-November/thread.html>, you will see some threads on the subject of '“The First Router" on Jeopardy’.  The initial post sparked discussions of when and how “router” entered the Internet (technology) vernacular.  I knew of one BSD Unix router implementation called egpup, but was surprised there was very little documentation about it, so I did a little bit of research <https://elists.isoc.org/pipermail/internet-history/2021-November/007719.html>, and came up with an ISI report about it which includes RFC911.  I have submitted status change requests for other RFCs from that era, which were accepted, so I thought I would make a similar request, given the interest expressed by the internet-history list participants.

There was an IESG last-call about the request.  They decided not to move forward.  I’m happy to abide by their decision.

Greg

> On Mar 26, 2022, at 6:39 AM, Susan Hares <[email-masked]> wrote:
> 
> Greg: 
>  
> How would all of you feel about bundling this request along with other related requests and/or actions to change the status of RFCs, as was discussed at IETF 30 <https://www.ietf.org/ietf-ftp/ietf-online-proceedings/94jul/area.and.wg.reports/rtg/idr/idr-minutes-94jul.txt>?  Could this also be done in conjunction with an IDR working group milestone such as progressing RFC4271 as an Internet Standard?  Based on what has been discussed on the Last Call for this request so far, bundling status changes in conjunction with significant working group tasks seems to be more acceptable.
>  
> Greg
> 
> 
> On Jan 25, 2022, at 9:26 AM, Susan Hares <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Alvaro: 
> 
> From: Idr [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Alvaro Retana
> To: [email-masked] <mailto:[email-masked]>
> Cc: [email-masked] <mailto:[email-masked]>; Greg Skinner
> [email-masked] <mailto:[email-masked]>

---

From: "Susan Hares" <[email-masked]>
Date: Sat, 26 Mar 2022 15:36:42 -0400

Greg: 

There was a EGP code in the Cornell GateD starting in 1986-1987.   My concern was whether this was an issue with the operational network.  

Some networks still use RFC904 (EGP protocol) even though it is deprecated. 

Thanks for the quick response. 

Sue 

From: Idr [mailto:[email-masked]] On Behalf Of Greg Skinner
Sent: Saturday, March 26, 2022 1:08 PM
To: Susan Hares
Cc: [email-masked]; [email-masked]
Subject: Re: [Idr] RFC911 to Historic

Sue,

If you take a look at the November 2021 archives of the internet-history list <https://elists.isoc.org/pipermail/internet-history/2021-November/thread.html> , you will see some threads on the subject of '“The First Router" on Jeopardy’.  The initial post sparked discussions of when and how “router” entered the Internet (technology) vernacular.  I knew of one BSD Unix router implementation called egpup, but was surprised there was very little documentation about it, so I did a little bit of research <https://elists.isoc.org/pipermail/internet-history/2021-November/007719.html> , and came up with an ISI report about it which includes RFC911.  I have submitted status change requests for other RFCs from that era, which were accepted, so I thought I would make a similar request, given the interest expressed by the internet-history list participants.

Greg

Greg: 

Sue 

How would all of you feel about bundling this request along with other related requests and/or actions to change the status of RFCs, as was  <https://www.ietf.org/ietf-ftp/ietf-online-proceedings/94jul/area.and.wg.reports/rtg/idr/idr-minutes-94jul.txt> discussed at IETF 30?  Could this also be done in conjunction with an IDR working group milestone such as progressing RFC4271 as an Internet Standard?  Based on what has been discussed on the Last Call for this request so far, bundling status changes in conjunction with significant working group tasks seems to be more acceptable.

Greg

On Jan 25, 2022, at 9:26 AM, Susan Hares < <mailto:[email-masked]> [email-masked]> wrote:

Alvaro: 

Sue 

-----Original Message-----
From: Idr [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Alvaro Retana
Sent: Wednesday, January 12, 2022 10:30 AM
To:  <mailto:[email-masked]> [email-masked]
Cc:  <mailto:[email-masked]> [email-masked]; Greg Skinner
Subject: [Idr] RFC911 to Historic

Dear idr WG:

=====

Thanks!

Alvaro.

_______________________________________________
Idr mailing list
 <mailto:[email-masked]> [email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Nick Hilliard <[email-masked]>
Date: Sat, 26 Mar 2022 20:39:07 +0000

> Some networks still use RFC904 (EGP protocol) even though it is deprecated.

Do you have reference for this?  EGP became obsolete when CIDR took off.

Nick

---

From: "Susan Hares" <[email-masked]>
Date: Sun, 27 Mar 2022 11:39:30 -0400

Nick:

RFC904 is the reference.    

I was a member of the NSFNet staff when the transition from EGP to BGP happened. 

Cheers,  Sue 

-----Original Message-----
From: Nick Hilliard [mailto:[email-masked]] 
Sent: Saturday, March 26, 2022 4:39 PM
To: Susan Hares
Cc: 'Greg Skinner'; [email-masked]; [email-masked]
Subject: Re: [Idr] RFC911 to Historic

Nick

---

From: Nick Hilliard <[email-masked]>
Date: Sun, 27 Mar 2022 19:10:15 +0100

Hi Sue,

Maybe I misunderstood your first email, but are there still networks 
which use the EGP protocol?  If so, do you have specific information 
about which networks use the protocol?

Nick

---

From: "Susan Hares" <[email-masked]>
Date: Sun, 27 Mar 2022 17:47:32 -0400

Nick: 

I personal do not know of networks running EGP.  

I ask Greg if he requested the RFC911 status to change because of operational problems in a network.  RFC911 is simply an implementation report regarding the EGP protocol  (RFC904).   Hopefully anyone reading RFC911 will look at the historic status of RFC904.  

Greg’s request to the change in RFC911 was not due an operational problem in a network. Therefore,  the IESG viewpoint was that making RFC911 historic was not critical. 

If there is operational problems with people running EGP on real networks,  IDR is the WG to raise those issues (inter-domain).   

I hope this helps. 

Sue  

From: Idr [mailto:[email-masked]] On Behalf Of Nick Hilliard
Sent: Sunday, March 27, 2022 2:10 PM
To: Susan Hares
Cc: [email-masked]; [email-masked]; 'Greg Skinner'
Subject: Re: [Idr] RFC911 to Historic

Hi Sue,

Maybe I misunderstood your first email, but are there still networks which use the EGP protocol?  If so, do you have specific information about which networks use the protocol?

Nick

Nick:
 
RFC904 is the reference.    

Cheers,  Sue 

-----Original Message-----
From: Nick Hilliard [mailto:[email-masked]] 
Sent: Saturday, March 26, 2022 4:39 PM
To: Susan Hares
Cc: 'Greg Skinner'; [email-masked]; [email-masked]
Subject: Re: [Idr] RFC911 to Historic

 
Nick

---

From: Gyan Mishra <[email-masked]>
Date: Sun, 27 Mar 2022 17:54:31 -0400

RFC 1105 was the original BGP v1 published in 1989 and RFC 904 EGP came out
in 1984.

ARPANET was decommissioned in 1989 and NSFNET was decommissioned in April
1995.

My guess is EGP was used on the government run internet until the internet
was officially privatized and prior to that the government as Sue mentioned
was in the process of transitioning to BGP.

My guess from the dates it’s doubtful any lingering EGP but that would be
good to know.

Gyan

On Sun, Mar 27, 2022 at 2:10 PM Nick Hilliard <[email-masked]> wrote:

> Hi Sue,
>
> Maybe I misunderstood your first email, but are there still networks which
> use the EGP protocol?  If so, do you have specific information about which
> networks use the protocol?
>
>
> Nick
>
> From: Nick Hilliard [mailto:[email-masked] <[email-masked]>]
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: Alvaro Retana <[email-masked]>
Date: Mon, 28 Mar 2022 03:50:53 -0700

On March 27, 2022 at 5:48:08 PM, Susan Hares wrote:

Hi!

Just to show some of the "behind the scenes" work.

...
> Greg’s request to the change in RFC911 was not due an operational problem in
> a network.  Therefore, the IESG viewpoint was that making RFC911 historic was
> not critical.

The IETF LC of the status change resulted in no objection to changing
the status of rfc911.

However, there was a discussion about who is responsible for the
status of "unknown" [*] documents from the Legacy stream (before the
IETF came into existence).  Even though similar changes have been done
before, it is not explicitly documented anywhere.

As a result, the IESG decided not to go forward with the status
change.  Instead, there's an ongoing conversation with the RFC Editor
and the other stream managers about this topic (who is responsible,
not explicitly rfc911).  The current plan is to bring this up to the
new RSWG [1] when it is seated.

Alvaro.

[*] "unknown" is the status of rfc911 -- IOW, it is not classified as
Standard, Informational, or Experimental.

[1] https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/